//------------------------------------------------------------------------//
//                           Copyright (c) 2013                           //
//                                                                        //
//        Fraunhofer Institute for Digital Media Technology (IDMT)        //
//        Project Group Hearing, Speech and Audio Technology (HSA)        //
//  Haus des Hoerens,  Marie-Curie-Strasse 2,  26129 Oldenburg,  Germany  //
//                     http://www.idmt.fraunhofer.de/                     //
//------------------------------------------------------------------------//
//                                                                        //
// This  software  and/or  program  is  protected  by copyright  law  and //
// international  treaties.  Any  reproduction  or  distribution  of this //
// software and/or  program, or any  portion of it, may  result in severe //
// civil and criminal  penalties, and  will be prosecuted to  the maximum //
// extent possible under law.                                             //
//                                                                        //
//------------------------------------------------------------------------//


//------------------------------------------------------------------------//
// Toggle visibility of a specified block object.                         //
//------------------------------------------------------------------------//
function container_toggle(id)
{
	if ( 'container'==document.getElementById(id).className ) {
		container_hide(id);
	} else
	if ( 'collapsed'==document.getElementById(id).className ) {
		container_show(id);
	}
}
//------------------------------------------------------------------------//

//------------------------------------------------------------------------//
// Show the specified object.                                             //
//------------------------------------------------------------------------//
function container_show(id)
{
	if ( 'collapsed'==document.getElementById(id).className ) {
		container_hide_all();
		document.getElementById(id).className='container';
	}
	window.location.hash = null;
	window.location.hash = id;
}
//------------------------------------------------------------------------//

//------------------------------------------------------------------------//
// Hide the specified object.                                             //
//------------------------------------------------------------------------//
function container_hide(id)
{
	document.getElementById(id).className='collapsed';
}
//------------------------------------------------------------------------//

//------------------------------------------------------------------------//
// Hide the specified object.                                             //
//------------------------------------------------------------------------//
function container_hide_all()
{
	var blocks=document.getElementsByClassName('container');
	for (var i = 0; i<blocks.length; i++) {
		container_hide( blocks[i].id );
	}
}
//------------------------------------------------------------------------//

//------------------------------------------------------------------------//
// Reset all containers to initial state.                                 //
//------------------------------------------------------------------------//
function container_reset()
{
	container_hide_all();
	window.location.hash = null;
}
//------------------------------------------------------------------------//

//------------------------------------------------------------------------//
// Get absolute position top of an element.                               //
//------------------------------------------------------------------------//
function get_element_top(id)
{
    var element = document.getElementById(id);
    var top =0;
    var left=0;
    while ( element ) {
        top  += element.offsetTop;
        left += element.offsetLeft;
        element = element.offsetParent;
    }
    return { x:left, y:top };
}
//------------------------------------------------------------------------//
